Bug 493912 - S-c-tools cleanup: port to PolicyKit
S-c-tools cleanup: port to PolicyKit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493604
  Show dependency treegraph
 
Reported: 2009-04-03 06:13 EDT by Roman Rakus
Modified: 2014-06-30 19:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: system-config-language-2.2.0-3.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 19:21:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 06:13:30 EDT
Description of problem:
It's not a good approach to let system config tool runn
under superuser account - it's a security risk. Instead
each tools which needs users privileges should be divided
to two parts - one which serves as privileged backend
running on demand and user interface that can ask for
privileged action over message bus (and ask password if 
needed). Once action is approved by PolicyKit, it can be
processed.

Every tool should be ported to use PolicyKit.

How reproducible:
Steps to Reproduce

Actual results:
System config tool has to be run under superuser account.

Expected results
System config tool is not runned under superuser account
and asks for privileged access. 

Additional info
Look at https://fedorahosted.org/python-slip/
Comment 1 Fedora Admin XMLRPC Client 2011-03-04 04:06:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-06-16 04:49:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2013-01-28 00:50:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Parag Nemade 2014-06-14 07:54:59 EDT
Fixed in system-config-language-2.1.0-1.fc21
Comment 6 Fedora Update System 2014-06-19 09:36:06 EDT
system-config-language-2.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-language-2.2.0-2.fc20
Comment 7 Fedora Update System 2014-06-19 18:57:01 EDT
Package system-config-language-2.2.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-2.2.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7516/system-config-language-2.2.0-2.fc20
then log in and leave karma (feedback).
Comment 8 lnie 2014-06-24 02:33:30 EDT
Tested with system-config-language-2.2.0-3.fc20 ,as the system-config-language-2.2.0-2.fc20 crashes all the time 
 
No GUI appears after the privileged access,only the following  message 
No protocol specified

** (system-config-language.py:2450): WARNING **: Could not open X display
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Could not connect: Connection refused

(system-config-language.py:2450): Gtk-WARNING **: cannot open display: :0
Comment 9 Parag Nemade 2014-06-24 05:25:11 EDT
I am not able to reproduce above messages in GUI execution of system-config-language from gnome-terminal.
Comment 10 Fedora Update System 2014-06-30 19:21:09 EDT
system-config-language-2.2.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.